package com.mvc.model.upgrade;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.mvc.model.ReqPageGeeker;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;
import java.util.List;

public class TUpgradePlanModel extends ReqPageGeeker {
    private Integer id;

    private String planName;

    private String matchMethod;

    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone="GMT+8",locale="zh")
    private Date planStartTime;

    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone="GMT+8",locale="zh")
    private Date planEndTime;

    private Integer packageId;

    private String planStatus;

    private String createMan;

    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone="GMT+8",locale="zh")
    private Date createTime;

    private String planMemo;

    private String planType;

    private TUpgradePackageModel packageModel;

    private List<TUpgradePlanDetailModel> details;

    private String[] planTimeRange;

    //(控制按钮状态)前台使用 2024-04-12 guozhao
    private Integer enableEdit;//启用编码
    private Integer enableDel;//启用删除
    private Integer enableTermination;//启用终止

    private String fileType;

    private String deviceClass;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getPlanName() {
        return planName;
    }

    public void setPlanName(String planName) {
        this.planName = planName == null ? null : planName.trim();
    }

    public String getMatchMethod() {
        return matchMethod;
    }

    public void setMatchMethod(String matchMethod) {
        this.matchMethod = matchMethod == null ? null : matchMethod.trim();
    }

    public Date getPlanStartTime() {
        return planStartTime;
    }

    public void setPlanStartTime(Date planStartTime) {
        this.planStartTime = planStartTime;
    }

    public Date getPlanEndTime() {
        return planEndTime;
    }

    public void setPlanEndTime(Date planEndTime) {
        this.planEndTime = planEndTime;
    }

    public Integer getPackageId() {
        return packageId;
    }

    public void setPackageId(Integer packageId) {
        this.packageId = packageId;
    }

    public String getPlanStatus() {
        return planStatus;
    }

    public void setPlanStatus(String planStatus) {
        this.planStatus = planStatus == null ? null : planStatus.trim();
    }

    public String getCreateMan() {
        return createMan;
    }

    public void setCreateMan(String createMan) {
        this.createMan = createMan == null ? null : createMan.trim();
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getPlanMemo() {
        return planMemo;
    }

    public void setPlanMemo(String planMemo) {
        this.planMemo = planMemo == null ? null : planMemo.trim();
    }

    public TUpgradePackageModel getPackageModel() {
        return packageModel;
    }

    public void setPackageModel(TUpgradePackageModel packageModel) {
        this.packageModel = packageModel;
    }

    public List<TUpgradePlanDetailModel> getDetails() {
        return details;
    }

    public void setDetails(List<TUpgradePlanDetailModel> details) {
        this.details = details;
    }

    public String[] getPlanTimeRange() {
        return planTimeRange;
    }

    public void setPlanTimeRange(String[] planTimeRange) {
        this.planTimeRange = planTimeRange;
    }

    public String getPlanType() {
        return planType;
    }

    public void setPlanType(String planType) {
        this.planType = planType == null ? null : planType.trim();
    }

    public Integer getEnableEdit() {
        return enableEdit;
    }

    public void setEnableEdit(Integer enableEdit) {
        this.enableEdit = enableEdit;
    }

    public Integer getEnableDel() {
        return enableDel;
    }

    public void setEnableDel(Integer enableDel) {
        this.enableDel = enableDel;
    }

    public Integer getEnableTermination() {
        return enableTermination;
    }

    public void setEnableTermination(Integer enableTermination) {
        this.enableTermination = enableTermination;
    }

    public String getFileType() {
        return fileType;
    }

    public void setFileType(String fileType) {
        this.fileType = fileType;
    }

    public String getDeviceClass() {
        return deviceClass;
    }

    public void setDeviceClass(String deviceClass) {
        this.deviceClass = deviceClass == null ? null : deviceClass.trim();
    }
}